Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::partial_sum_fn Struct Reference
Numerics

## Public Member Functions
template<typename I , typename S , typename O , typename BOp = plus, typename P = identity>
partial_sum_result< I, O > | operator() (I first, S last, O result, BOp bop=BOp{}, P proj=P{}) const
template<typename I , typename S1 , typename O , typename S2 , typename BOp = plus, typename P = identity>
partial_sum_result< I, O > | operator() (I first, S1 last, O result, S2 end_result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORef , typename BOp = plus, typename P = identity, typename I = iterator_t<Rng>, typename O = uncvref_t<ORef>>
partial_sum_result< borrowed_iterator_t< Rng >, O > | operator() (Rng &&rng, ORef &&result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORng , typename BOp = plus, typename P = identity, typename I = iterator_t<Rng>, typename O = iterator_t<ORng>>
partial_sum_result< borrowed_iterator_t< Rng >, borrowed_iterator_t< ORng > > | operator() (Rng &&rng, ORng &&result, BOp bop=BOp{}, P proj=P{}) const

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename I , typename S , typename O , typename BOp = plus, typename P = identity>

partial_sum_result<I, O> ranges::partial_sum_fn::operator() | ( | I | first,
|  | S | last,
|  | O | result,
|  | BOp | bop = `BOp{}`,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `sentinel_for<S, I> && partial_sum_constraints<I, O, BOp, P>`

## ◆ operator()() [2/4]

template<typename I , typename S1 , typename O , typename S2 , typename BOp = plus, typename P = identity>

partial_sum_result<I, O> ranges::partial_sum_fn::operator() | ( | I | first,
|  | S1 | last,
|  | O | result,
|  | S2 | end_result,
|  | BOp | bop = `BOp{}`,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `sentinel_for<S1, I> && sentinel_for<S2, O> && partial_sum_constraints<I, O, BOp, P>`

## ◆ operator()() [3/4]

template<typename Rng , typename ORef , typename BOp = plus, typename P = identity, typename I = iterator_t<Rng>, typename O = uncvref_t<ORef>>

partial_sum_result<borrowed_iterator_t<Rng>, O> ranges::partial_sum_fn::operator() | ( | Rng && | rng,
|  | ORef && | result,
|  | BOp | bop = `BOp{}`,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `range<Rng> && partial_sum_constraints<I, O, BOp, P>`

## ◆ operator()() [4/4]

template<typename Rng , typename ORng , typename BOp = plus, typename P = identity, typename I = iterator_t<Rng>, typename O = iterator_t<ORng>>

partial_sum_result<borrowed_iterator_t<Rng>, borrowed_iterator_t<ORng> > ranges::partial_sum_fn::operator() | ( | Rng && | rng,
|  | ORng && | result,
|  | BOp | bop = `BOp{}`,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `range<Rng> && range<ORng> && partial_sum_constraints<I, O, BOp, P>`